<?php


namespace AutoAdmin\Bundle\Admin\Form\Type\Component;


use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DateTimeImmutablePickerType extends AbstractHelperType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        parent::configureOptions($resolver);

        $resolver->setDefault('input', 'datetime_immutable');
    }

    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $this->addViewClass($view, 'aa-ft-picker-datetime-immutable');
    }

    public function getParent(): string
    {
        return DateTimeType::class;
    }
}
